# PCLinuxOS Copyright by Bill Reynolds (Texstar)

%define name		gimp-paint-studio
%define version		2.0
%define release		%mkrel 2

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Gimp 2.8 Addons
Group:		Graphics
License:	GPL
URL:		http://code.google.com/p/gps-gimp-paint-studio/
Source:  	%name-%version.tar.xz
BuildRoot: 	%{_tmppath}/%{name}-%{version}-root
BuildArch:	noarch
AutoProv:	no
Requires:	gimp >= 2.8.0

%description
GPS is a collection of brushes and accompanying tool presets.
Tool presets are a simply saved tool options, highly useful feature
of the GIMP. The goal of GPS is to provide an adequate working
environment for graphic designers and artists to begin to paint
and feel comfortable with GIMP from their first use. Later the
user will change these settings based on his own workflow
preferences and understanding of GIMP.

Note: This package can only be installed with GIMP versions 2.8+.

%prep
%setup -q

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr
cp -aRf * $RPM_BUILD_ROOT

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%posttrans
SYSUSERS=`cat /etc/passwd | grep "/home/.*/bash" |grep "[0-9][0-9][0-9]" |cut -d: -f1`
for idx in $SYSUSERS
 do INP1= mkdir -p /home/$idx/.gimp-2.8/tool-options; done
for idx in $SYSUSERS
 do INP1= cp -af /etc/skel/.gimp-2.8/tool-options/* /home/$idx/.gimp-2.8/tool-options; done
for idx in $SYSUSERS
 do INP1= chown -R "$idx:$idx" /home/$idx/.gimp-2.8; done

mkdir -p /root/.gimp-2.8/tool-options
cp -af /etc/skel/.gimp-2.8/tool-options/* /root/.gimp-2.8/tool-options

%clean
rm -rf ${RPM_BUILD_ROOT}

%files
%defattr(-,root,root,-)
%_datadir/gimp/2.0/brushes/GPS-Brushes/*
%_datadir/gimp/2.0/dynamics/GPS-Eraser/*
%_datadir/gimp/2.0/dynamics/GPS-Fx/*
%_datadir/gimp/2.0/dynamics/GPS-Set1/*
%_datadir/gimp/2.0/dynamics/GPS-Set2/*
%_datadir/gimp/2.0/dynamics/GPS-Sketch/*
%_datadir/gimp/2.0/dynamics/GPS-Smudge/*
%_datadir/gimp/2.0/gradients/GPS-Grad/*
%_datadir/gimp/2.0/images/GPS-2_0--splash-techno-dark.jpg
%_datadir/gimp/2.0/palettes/GPS-Pal/*
%_datadir/gimp/2.0/patterns/GPS-Pat/*
%_datadir/gimp/2.0/tool-presets/GPS-Eraser/*
%_datadir/gimp/2.0/tool-presets/GPS-Fx/*
%_datadir/gimp/2.0/tool-presets/GPS-Ink/*
%_datadir/gimp/2.0/tool-presets/GPS-Set1/*
%_datadir/gimp/2.0/tool-presets/GPS-Set2/*
%_datadir/gimp/2.0/tool-presets/GPS-Sketch/*
%_datadir/gimp/2.0/tool-presets/GPS-Smudge/*
%_sysconfdir/skel/.gimp-2.8/

%changelog
* Wed Aug 29 2012 Neal <nealbrks0 at gmail dot com> 2.0-2pclos2012
- process

* Wed Aug 29 2012 pinoc <vogtpet at gmail dot com> 2.0-2pclos2012
- fixed permission in source so users can read these files as well

* Fri Aug 24 2012 Neal <nealbrks0 at gmail dot com> 2.0-1pclos2012
- process

* Fri Aug 24 2012 Archie Arevalo <pclinuxos.ph at gmail.com> 2.0-1_archie_2012
- update

* Mon Sep 12 2011 Texstar <texstar at gmail.com> 1.5-1pclos2010
- create package
